# Role: network_manager

## Description

Install NetworkManager and it's configurations.

Creates system connections if defined in vars.

https://networkmanager.dev/

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.network_manager
  vars:
    ...
```

### Vars

`network_manager_dns`:

Resolver to use.

`network_manager_rc_manager`:

Set the resolv.conf management mode.

`network_manager_log_level`:

Set the log level.

`network_manager_ethernet_wake_on_lan`:

Wake-On-LAN type for ethernet.

`network_manager_wifi_wake_on_lan`:

Wake-On-LAN type for wifi.

`network_manager_connections`:

Specify a list of connections that need to be created.

List items are connection objects, check the values from:
templates/etc/NetworkManager/system-connections/connection.nmconnection.j2
